#!/usr/bin/env bash
USER_HOME="/home/michaelb"
MATRIX_SCRIPT="$USER_HOME/.config/swaylock/matrix.sh"
ALACRITTY_CONF="$USER_HOME/.config/swaylock/alacritty-matrix.toml"

mtrx_command="alacritty \
  --config-file \"$ALACRITTY_CONF\" \
  --class matrix \
  -e \"$MATRIX_SCRIPT\""

# 1) Spawn Matrix windows per-monitor
screens=$(hyprctl -j monitors | jq length)
for (( i = -1; i < screens; i++ )); do
  hyprctl dispatch focusmonitor $i
  eval $mtrx_command &
done

# 2) Lock (blocks until unlock)
swaylock

# 3) Tear down Matrix
pkill -f "$MATRIX_SCRIPT"
